#
# spec file for package gap-permut
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-permut
Version:        2.0.5
Release:        1.4
Summary:        GAP: Permutability in finite groups
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/permut/

#Git-Clone:     https://github.com/gap-packages/permut
Source:         https://github.com/gap-packages/permut/releases/download/v%version/permut-%version.tar.gz
BuildArch:      noarch
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.7.4
Requires:       gap-format >= 1.3

%description
This package provides functions for computing with permutability in
finite groups.

%prep
%autosetup -n permut-%version

%build

%install
rm -Rf scripts
%gappkg_simple_install

%files -f %name.files

%changelog
* Fri Jan 12 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.0.5
  * Janitorial changes
* Sun Feb 12 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.0.4
  * Only package metadata updates
* Thu Nov 15 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 2.0.3
  * Fixed a bug in functions OneSubgroupInWhichSubnormalNotNormal,
    Permutable, SPermutable that gave incorrect results because of
    an incorrect treatment of the relation with the parent group.
  * Modified banner, improved PrimesDividingSize, deleted obsolete
    code and other minor changes.
* Tue Dec  8 2015 jengelh@inai.de
- Update to new upstream release 1.03
  * Added CSS and LAB files to tarfile
* Fri Dec 12 2014 jengelh@inai.de
- Initial package (version 1.01) for build.opensuse.org
